#
#   Module name 		: IsUgi.sh 
#   Date of last delta		: 4/19/5
#   Release number		: 1.2
#
#
#@(#) Detects if terminal emulator is U/Gi version 4.40.03 or above.
#@(#) Script returns 1 if it detects this version or 0 for any other
#@(#) terminal.
#@(#)
#@(#) Call it from a script like this:
#@(#)
#@(#)   IsUgi.sh
#@(#)   if [ $? -eq 1 ]
#@(#)   then
#@(#)       ubl -g
#@(#)   else
#@(#)       ubl
#@(#)   fi
#@(#)
#

stty -icanon
stty min 0
stty time 2
stty -echo
echo "\033Z"

read ans

stty icanon
stty min 4 	# restore ^D
stty echo

if [ "$ans" = "TRANSOFT" ]
then
	# Detected terminal is UGi
	exit 1
else
	# Not detected UGi
	exit 0
fi
