#! /bin/sh
#
#   Module name 		: startobit.sh 
#   Date of last delta		: 12/7/0
#   Release number		: 1.4

# Change SLEEP to number of seconds before re-awakening defaulting to 15


PATH=$PATH:. ; export PATH

os=`uname -s`
if [ "x${os}" = "xLinux" ]
then
	. linfix.sh
	Priority=
else
	Priority="nice --14"
fi


SLEEP=15

#Send output to follwing file/device

OUTPUT=/tmp/ublobit.log
>> $OUTPUT
chmod +rw $OUTPUT 2>/dev/null

# Execute the following when the log file has been updated

# OBITCMD="(tail -180 $OUTPUT; if [ \`wc -l < $OUTPUT\` -gt 600 ]; then echo; echo Warning: $OUTPUT is growing large and may need purging.; fi ) | lp"

export OUTPUT SLEEP OBITCMD

#set LS to $LS or ublobit if $LS not set
LS=${LS:-ublobit}
export LS

if [ ! "`showobit.sh | grep not`" ]
then
	echo $LS is already running.
	exit
fi



nohup $Priority /bin/sh -c "exec $LS -s$SLEEP "  >> $OUTPUT &
